-- Register distillersCorn
if not FillUtil.FILLTYPE_DISTILLERSCORN then
	local distillersCornPrice = FillUtil.fillTypeNameToDesc.maize.pricePerLiter * 1.25
	local distillersCornHud = Utils.getFilename("huds/hud_fill_distillersCorn.png", g_currentModDirectory)
	local distillersCornSmallHud = Utils.getFilename("huds/hud_fill_distillersCorn_small.png", g_currentModDirectory)
	local distillersCornMass = FillUtil.fillTypeNameToDesc.maize.massPerLiter * 0.8
	local genericAngle = FillUtil.fillTypeNameToDesc.maize.maxPhysicalSurfaceAngle
	FillUtil.registerFillType("distillersCorn", g_i18n:getText("distillersCorn"), FillUtil.FILLTYPE_CATEGORY_BULK, distillersCornPrice, true, distillersCornHud, distillersCornSmallHud, distillersCornMass, genericAngle)
	FillUtil.addFillTypeToCategory(FillUtil.FILLTYPE_CATEGORY_TRAINWAGON, FillUtil.FILLTYPE_DISTILLERSCORN)
	FillUtil.registerFillTypeInFoodGroup(AnimalUtil.ANIMAL_PIG, 3, FillUtil.FILLTYPE_DISTILLERSCORN)
	FillUtil.registerFillTypeInFoodGroup(AnimalUtil.ANIMAL_COW, 3, FillUtil.FILLTYPE_DISTILLERSCORN)
	--[[local diffuse = Utils.getFilename("fillPlanes/distillersCorn_diffuse.dds", g_currentModDirectory)
	local normal = Utils.getFilename("fillPlanes/distillersCorn_normal.dds", g_currentModDirectory)
	local distance = Utils.getFilename("fillPlanes/distillersCornDistance_diffuse.dds", g_currentModDirectory)
	TipUtil.registerDensityMapHeightType(FillUtil.FILLTYPE_DISTILLERSCORN, math.rad(30), 0.8, 0.20, 0.10, 0.30, 1, false, diffuse, normal, distance)--]]
end
addedFillTypes = {}
local modDir = g_currentModDirectory
function addedFillTypes:loadMap(name)
	if not MaterialUtil.materials[FillUtil.FILLTYPE_DISTILLERSCORN] then
		local uiScale = g_gameSettings:getValue("uiScale")
		local levelIconWidth, levelIconHeight = getNormalizedScreenValues(16*uiScale, 20*uiScale)
		g_currentMission:addFillTypeOverlay(FillUtil.FILLTYPE_DISTILLERSCORN, distillersCornSmallHud, levelIconWidth, levelIconHeight)
		loadI3DFile(modDir .."fillPlanes/fillPlane_materialHolder.i3d")
		loadI3DFile(modDir .."particleSystems/particle_materialHolder.i3d")
		for _, trigger in pairs(g_currentMission.tipTriggers) do
			for i = 1, #trigger.acceptedFillTypes do
				fillTypeName = FillUtil.fillTypeIntToName[i]
				if fillTypeName == "maize" then
					local allowedToolTypes = {TipTrigger.TOOL_TYPE_TRAILER, TipTrigger.TOOL_TYPE_SHOVEL, TipTrigger.TOOL_TYPE_PIPE, TipTrigger.TOOL_TYPE_PALLET}
					trigger:addAcceptedFillType(FillUtil.FILLTYPE_DISTILLERSCORN, FillUtil.fillTypeNameToDesc.distillersCorn.pricePerLiter, true, false, allowedToolTypes)
					trigger:initPricingDynamics()
				end
			end
		end
	end
end

function addedFillTypes:deleteMap()
end

function addedFillTypes:mouseEvent(posX, posY, isDown, isUp, button)
end

function addedFillTypes:keyEvent(unicode, sym, modifier, isDown)
end

function addedFillTypes:update(dt)
end

function addedFillTypes:draw()   
end

addModEventListener(addedFillTypes)